<?php

namespace App\Http\Controllers;

use App\Models\Entry;
use App\Services\XenforoApiService;
use App\Services\XenforoService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class EntryFeaturedRequestController extends Controller
{

    public function featuredRequest(Request $request, Entry $entry)
    {
        $service = app(XenforoApiService::class);
        $response = $service->featuredRequest($entry);
        return response()->json([
            'success' => $response,
        ]);
    }

}
